Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Class DAnnotation

    java.lang.Object
      org.kohsuke.rngom.digested.DAnnotation

    public class DAnnotation

extends java.lang.Object

Annotation.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary
`static class` | `DAnnotation.Attribute` Attribute.

Constructor Summary
`DAnnotation()`

Method Summary
`DAnnotation.Attribute` | `getAttribute(javax.xml.namespace.QName n)`
`DAnnotation.Attribute` | `getAttribute(java.lang.String nsUri, java.lang.String localName)` Gets the attribute of a given name.
`java.util.Map<javax.xml.namespace.QName,DAnnotation.Attribute>` | `getAttributes()` Gets the read-only view of all the attributes.
`java.util.List<org.w3c.dom.Element>` | `getChildren()` Gets the read-only view of all the child elements of this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAnnotation

    public DAnnotation()

Method Detail

### getAttribute

    public DAnnotation.Attribute getAttribute(java.lang.String nsUri,
                                              java.lang.String localName)

  Gets the attribute of a given name.

  Parameters:
    `nsUri` - can be empty but must not be null.
  Returns:
    null if no such attribute is found.

### getAttribute

    public DAnnotation.Attribute getAttribute(javax.xml.namespace.QName n)

### getAttributes

    public java.util.Map<javax.xml.namespace.QName,DAnnotation.Attribute> getAttributes()

  Gets the read-only view of all the attributes.

  Returns:
    can be empty but never null. the returned map is read-only.

### getChildren

    public java.util.List<org.w3c.dom.Element> getChildren()

  Gets the read-only view of all the child elements of this annotation.

  Returns:
    can be empty but never null. the returned list is read-only.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD